Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.ole.win32
Class OleFrame

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.ole.win32.OleFrame

All Implemented Interfaces:
  Drawable

public final class OleFrame
extends Composite

OleFrame is an OLE Container's top level frame.

This object implements the OLE Interfaces IUnknown and IOleInPlaceFrame

OleFrame allows the container to do the following:

- position and size the ActiveX Control or OLE Document within the application
- insert menu items from the application into the OLE Document's menu
- activate and deactivate the OLE Document's menus
- position the OLE Document's menu in the application
- translate accelerator keystrokes intended for the container's frame

Styles
  BORDER
Events
  Dispose, Move, Resize

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`OleFrame(Composite parent, int style)` Create an OleFrame child widget using style bits to select a particular look or set of properties.

Method Summary
`MenuItem[]` | `getContainerMenus()` Returns the application menu items that will appear in the Container location when an OLE Document is in-place activated.
`MenuItem[]` | `getFileMenus()` Returns the application menu items that will appear in the File location when an OLE Document is in-place activated.
`MenuItem[]` | `getWindowMenus()` Returns the application menu items that will appear in the Window location when an OLE Document is in-place activated.
`void` | `setContainerMenus(MenuItem[] containerMenus)` Specify the menu items that should appear in the Container location when an OLE Document is in-place activated.
`void` | `setFileMenus(MenuItem[] fileMenus)` Specify the menu items that should appear in the File location when an OLE Document is in-place activated.
`void` | `setWindowMenus(MenuItem[] windowMenus)` Set the menu items that should appear in the Window location when an OLE Document is in-place activated.

Methods inherited from class org.eclipse.swt.widgets.Composite
`checkSubclass, computeSize, getChildren, getLayout, getTabList, layout, layout, setFocus, setLayout, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OleFrame

    public OleFrame(Composite parent,
                    int style)

  Create an OleFrame child widget using style bits to select a particular look or set of properties.

Parameters:
  `parent` - a composite widget (cannot be null)
  `style` - the bitwise OR'ing of widget styles
Throws:
  `SWTError` -
  - ERROR_THREAD_INVALID_ACCESS when called from the wrong thread
  - ERROR_NULL_ARGUMENT when the parent is null
  - ERROR_INTERFACES_NOT_INITIALIZED when unable to create callbacks for OLE Interfaces

Method Detail

### getContainerMenus

    public MenuItem[] getContainerMenus()

  Returns the application menu items that will appear in the Container location when an OLE Document is in-place activated.

  When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

  Returns:
    the application menu items that will appear in the Container location when an OLE Document is in-place activated.

### getFileMenus

    public MenuItem[] getFileMenus()

  Returns the application menu items that will appear in the File location when an OLE Document is in-place activated.

  When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

  Returns:
    the application menu items that will appear in the File location when an OLE Document is in-place activated.

### getWindowMenus

    public MenuItem[] getWindowMenus()

  Returns the application menu items that will appear in the Window location when an OLE Document is in-place activated.

  When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

  Returns:
    the application menu items that will appear in the Window location when an OLE Document is in-place activated.

### setContainerMenus

    public void setContainerMenus(MenuItem[] containerMenus)

  Specify the menu items that should appear in the Container location when an OLE Document is in-place activated.

  When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

  This method must be called before in place activation of the OLE Document. After the Document is activated, the menu bar will not be modified until a subsequent activation.

  Parameters:
    `containerMenus` - an array of top level MenuItems to be inserted into the Container location of the menubar

### setFileMenus

    public void setFileMenus(MenuItem[] fileMenus)

  Specify the menu items that should appear in the File location when an OLE Document is in-place activated.

  When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

  This method must be called before in place activation of the OLE Document. After the Document is activated, the menu bar will not be modified until a subsequent activation.

  Parameters:
    `fileMenus` - an array of top level MenuItems to be inserted into the Flie location of the menubar

### setWindowMenus

    public void setWindowMenus(MenuItem[] windowMenus)

  Set the menu items that should appear in the Window location when an OLE Document is in-place activated.

  When an OLE Document is in-place active, the Document provides its own menus but the application is given the opportunity to merge some of its menus into the menubar. The application is allowed to insert its menus in three locations: File (far left), Container(middle) and Window (far right just before Help). The OLE Document retains control of the Edit, Object and Help menu locations. Note that an application can insert more than one menu into a single location.

  This method must be called before in place activation of the OLE Document. After the Document is activated, the menu bar will not be modified until a subsequent activation.

  Parameters:
    `windowMenus` - an array of top level MenuItems to be inserted into the Window location of the menubar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.